curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/items/{itemId}/variations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"variation": {
"descriptions": [
{
"languageIso": "<string>",
"name": "<string>"
}
],
"variationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"position": 123,
"values": [
{
"descriptions": [
{
"languageIso": "<string>",
"name": "<string>"
}
],
"variationValueId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemNumber": "<string>",
"gTIN": "<string>",
"weightOffset": 123,
"surcharges": {
"defaultSurchargeNet": 123,
"customerGroupSurcharges": [
{
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"surcharge": 123,
"isActive": true
}
],
"salesChannelSurcharges": [
{
"salesChannelId": "<string>",
"surcharges": [
{
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"surcharge": 123,
"isActive": true
}
]
}
]
},
"position": 123,
"image": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
}
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/items/{itemId}/variations"
payload = { "variation": {
"descriptions": [
{
"languageIso": "<string>",
"name": "<string>"
}
],
"variationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"position": 123,
"values": [
{
"descriptions": [
{
"languageIso": "<string>",
"name": "<string>"
}
],
"variationValueId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemNumber": "<string>",
"gTIN": "<string>",
"weightOffset": 123,
"surcharges": {
"defaultSurchargeNet": 123,
"customerGroupSurcharges": [
{
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"surcharge": 123,
"isActive": True
}
],
"salesChannelSurcharges": [
{
"salesChannelId": "<string>",
"surcharges": [
{
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"surcharge": 123,
"isActive": True
}
]
}
]
},
"position": 123,
"image": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
} }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
variation: {
descriptions: [{languageIso: '<string>', name: '<string>'}],
variationId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
position: 123,
values: [
{
descriptions: [{languageIso: '<string>', name: '<string>'}],
variationValueId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
itemNumber: '<string>',
gTIN: '<string>',
weightOffset: 123,
surcharges: {
defaultSurchargeNet: 123,
customerGroupSurcharges: [
{
customerGroupId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
surcharge: 123,
isActive: true
}
],
salesChannelSurcharges: [
{
salesChannelId: '<string>',
surcharges: [
{
customerGroupId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
surcharge: 123,
isActive: true
}
]
}
]
},
position: 123,
image: 'b45f6432-2462-4c6f-b00f-1d9d01000000'
}
]
}
})
};
fetch('https://api.jtl-cloud.com/erp/v2/items/{itemId}/variations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"variationId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}Adds a new variation (e.g., color, size) to an existing item. Variations allow customers to select different product options.
Adds a new variation (e.g., color, size) to an existing item. Variations allow customers to select different product options.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Body
Request parameters
Adds a new variation (e.g., color, size) to an existing item. Variations allow customers to select different product options. - Request
The variation to add including type (selectbox, radio, etc.), descriptions in multiple languages, and optional variation values.
Show child attributes
Show child attributes
Response
Variation was successfully added to the item.
Adds a new variation (e.g., color, size) to an existing item. Variations allow customers to select different product options. - Response
Unique ID of the newly added variation.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?